@layer base {
    *,::after,::backdrop,::before,::file-selector-button{box-sizing:border-box;margin:0;padding:0;border:0 solid}:host,html{line-height:1.5;-webkit-text-size-adjust:100%;tab-size:4;font-family:ui-sans-serif, system-ui, sans-serif,'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';font-feature-settings:normal;font-variation-settings:normal;-webkit-tap-highlight-color:transparent}hr{height:0;color:inherit;border-top-width:1px}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:ui-monospace, SFMono-Regular,Menlo, Monaco, Consolas, 'Liberation Mono', 'Courier New', monospace;font-feature-settings:normal;font-variation-settings:normal;font-size:1em}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-0.25em}sup{top:-0.5em}table{text-indent:0;border-color:inherit;border-collapse:collapse}:-moz-focusring{outline:auto}summary{display:list-item}menu,ol,ul{list-style:none}img,object,svg{display:block;vertical-align:middle}img,video{max-width:100%;height:auto}button,input{font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;color:inherit;border-radius:0;background-color:transparent;opacity:1}::placeholder{opacity:1}@supports (not (-webkit-appearance:-apple-pay-button)) or (contain-intrinsic-size:1px){::placeholder{color:color-mix(in oklab, currentcolor 50%, transparent)}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}:-moz-ui-invalid{box-shadow:none}button,input:where([type='button'],[type='reset'],[type='submit']),::file-selector-button{appearance:button}[hidden]:where(:not([hidden='until-found'])){display:none !important}
}
@property --spacing {
    syntax: "<length> | <percentage>";
    inherits: true;
    initial-value: 0.25rem;
}
@layer utitlities {
    .container {
        width: 100%;
        max-width: var(--base-container-width);
        margin-inline: auto;
        padding-inline: var(--base-spacing) ;
    }
    .flex-row {
        display: flex;
        flex-direction: row;
        gap: calc(var(--spacing) * 2);
    }
    .flex-col {
        display: flex;
        flex-direction: column;
        gap: calc(var(--spacing) * 2);
    }
    .sr-only {
        position: absolute;
        width: 1px;
        height: 1px;
        padding: 0;
        margin: -1px;
        overflow: hidden;
        clip: rect(0, 0, 0, 0);
        white-space: nowrap;
        border-width: 0;
    }
    .btn {
        align-items: center;
        border: 1px solid var(--color-field-border);
        border-radius: var(--spacing);
        display: inline-flex;
        font-size: 1em;
        justify-content: center;
        padding: calc(var(--spacing) / 2);
    }
}
:root {
    --color-text: #222;
    --color-light: #ffffff;
    --color-bg-header: #fff;
    --color-bg-darker: color-mix(in srgb, var(--color-bg-header) 90%, black) ;
    --color-field-border: #555;
    --spacing: 0.25rem;
    --base-container-width: 80rem;
    --base-spacing: 0.6125rem;
    --base-zindex: 1;

    @media screen and (width > 48rem) {
        --base-spacing: 1.25rem;
    }
}

body {
    min-height: 100%;
    background-color: var(--color-bg-darker);
    transition-behavior: allow-discrete;
}

.main-content {
    container: mainblock / inline-size;
}

:where(h1,h2,h3,h4) {
    font-weight: bold;
    font-size: 2em;
    margin-bottom: 0.5lh;
}

.card-list {
    list-style: none;
    container: cardlist / inline-size;
    display: grid;
    grid-template-columns: 1fr;

    @container mainblock (width > 35rem) {
        gap: calc(var(--spacing) * 4);
        grid-template-columns: repeat(auto-fill, minmax(16rem, 1fr));
    }
}

@scope(.card-list) {
    --card-color: var(--color-text);
    --card-background: var(--color-light);
    --card-color-border: var(--color-field-border);
    --card-radius: calc(var(--spacing) * 1.5);
    --card-action-spacing: var(--spacing);

    .card {
        align-items: center;
        background-color: var(--color-bg-header) ;
        border-inline: 1px solid var(--card-color-border);
        border-block-end: 1px solid var(--card-color-border);
        display: grid;
        grid-template-columns: auto 1fr;
        grid-template-rows: auto auto;
        gap: var(--spacing) 4cqw;
        padding: calc(var(--spacing) * 2);
        position: relative;

        &:first-child {
            border-block-start: 1px solid var(--card-color-border);
            border-top-right-radius: var(--card-radius);
            border-top-left-radius: var(--card-radius);
        }
        &:last-child {
            border-bottom-right-radius: var(--card-radius);
            border-bottom-left-radius: var(--card-radius);
        }
    }

    :where(h2,h3) {
        line-height: 1.25lh;
        margin-block-end: 0;
        font-size: clamp(1.25rem, calc(1dvw + 1.5cqw), 2rem);
    }

    .card-image {
        background-color: var(--color-bg-header) ;
        border-radius: var(--spacing);
        border: 1px solid var(--color-field-border);
        grid-row: 1 / span 2;
        width: 8rem;
    }

    .card-action {
        &::before {
            content: '';
            display: block;
            position: absolute;
            inset: 0;
        }
    }

    .action-container {
        display: flex;
        gap: var(--spacing);
        padding: calc(var(--spacing) * 2);
        position: absolute;
        bottom: var(--card-action-spacing);
        right: var(--card-action-spacing);
        z-index: var(--base-zindex);
    }

    .action-icon {
        width: 1.75rem;
        height: 1.75rem;
    }

    .description {
        display: flex;
        align-content: center;
        height: 1.75rem;
    }

    @container mainblock (width > 35rem) {
        .card {
            --card-action-spacing: calc(var(--spacing) * 2);
            border-radius: var(--card-radius);
            border: 1px solid var(--card-color-border);
            grid-template-columns: 1fr;
            grid-template-rows: auto auto auto;
            gap: calc(var(--spacing) * 4);
            padding: calc(var(--spacing) * 4);
        }

        .card-image {
            background-color: var(--color-bg-header) ;
            border-radius: var(--spacing);
            border: 1px solid var(--color-field-border);
            grid-row: 1;
            width: 100%;
            margin-inline: auto;
        }
    }
}

.main-content {
    min-height: 100dvh;
    padding-block: calc(var(--spacing) * 4);
}

